Get a meeting outcome
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "59413def-60eb-47c6-b390-098fcf583b66",
"name": "Pricing Discussion",
"color": "yellow",
"kind": "custom",
"color_hex": "#EAB308",
"is_system": false,
"is_organization_owned": true
}Meeting outcomes
Get meeting outcome
Get a meeting outcome by ID.
GET
/
meeting-outcomes
/
{id}
Get a meeting outcome
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "59413def-60eb-47c6-b390-098fcf583b66",
"name": "Pricing Discussion",
"color": "yellow",
"kind": "custom",
"color_hex": "#EAB308",
"is_system": false,
"is_organization_owned": true
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The unique identifier of the meeting outcome.
Example:
"59413def-60eb-47c6-b390-098fcf583b66"
Response
200 - application/json
OK - Request succeeded
Unique identifier for the meeting outcome.
Example:
"59413def-60eb-47c6-b390-098fcf583b66"
Name of the meeting outcome.
Example:
"Pricing Discussion"
Color assigned to the meeting outcome.
Available options:
blue, orange, gray, red, yellow, violet, pink, teal, cyan, green Example:
"yellow"
Kind of the meeting outcome.
Example:
"custom"
Hex color code for the meeting outcome.
Example:
"#EAB308"
Whether this is a system-defined meeting outcome. System outcomes cannot be modified or deleted.
Example:
false
Whether this outcome belongs to the organization.
Example:
true